package mx.edu.uaz.controlpeliculas.vistas;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.annotations.DesignRoot;
import com.vaadin.ui.Button;
import com.vaadin.ui.CssLayout;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.Image;
import com.vaadin.ui.Label;
import com.vaadin.ui.MenuBar;
import com.vaadin.ui.declarative.Design;

/** 
 * !! DO NOT EDIT THIS FILE !!
 * 
 * This class is generated by Vaadin Designer and will be overwritten.
 * 
 * Please make a subclass with logic and additional interfaces as needed,
 * e.g class LoginView extends LoginDesign implements View { }
 */
@DesignRoot
@AutoGenerated
@SuppressWarnings("serial")
public class PrincipalDesign extends HorizontalLayout {
	protected Button menuButton;
	protected CssLayout menu;
	protected Button btnPeliculas;
	protected Button btnDirectores;
	protected Button btnUsuarios;
	protected Button admin;
	protected Label lblTitulo;
	protected Image imgUsuario;
	protected MenuBar mnuUsuario;
	protected CssLayout content;
	protected CssLayout miContenido;

	public PrincipalDesign() {
		Design.read(this);
	}
}
